package es.claro.persistence;

import java.util.Map;

import javax.persistence.Cache;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.PersistenceUnitUtil;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.metamodel.Metamodel;

/**
 *
 * @author puche
 */
abstract class EntityManagerFactoryProxy implements EntityManagerFactory {

   protected final EntityManagerFactory delegate;

   protected EntityManagerFactoryProxy(EntityManagerFactory emf) {

      delegate = emf;
   }

   public EntityManager createEntityManager() {

      return delegate.createEntityManager();
   }

   public EntityManager createEntityManager(Map map) {

      return delegate.createEntityManager(map);
   }

   public boolean isOpen() {

      return delegate.isOpen();
   }

   public void close() {

      delegate.close();
   }

   public CriteriaBuilder getCriteriaBuilder() {
      return delegate.getCriteriaBuilder();
   }

   public Metamodel getMetamodel() {
      return delegate.getMetamodel();
   }

   public Map<String, Object> getProperties() {
      return delegate.getProperties();
   }

   public Cache getCache() {
      return delegate.getCache();
   }

   public PersistenceUnitUtil getPersistenceUnitUtil() {
      return delegate.getPersistenceUnitUtil();
   }

}